size = {462, 512}

click = loadSample('sounds/click5.wav')

but_idx = findCommand("sim/FMS/index")

but_next = findCommand("sim/FMS/next")
but_prev = findCommand("sim/FMS/prev")

but_left_6 = findCommand("sim/FMS/ls_1l")
but_left_5 = findCommand("sim/FMS/ls_2l")
but_left_4 = findCommand("sim/FMS/ls_3l")
but_left_3 = findCommand("sim/FMS/ls_4l")
but_left_2 = findCommand("sim/FMS/ls_5l")
but_left_1 = findCommand("sim/FMS/ls_6l")

but_right_6 = findCommand("sim/FMS/ls_1r")
but_right_5 = findCommand("sim/FMS/ls_2r")
but_right_4 = findCommand("sim/FMS/ls_3r")
but_right_3 = findCommand("sim/FMS/ls_4r")
but_right_2 = findCommand("sim/FMS/ls_5r")
but_right_1 = findCommand("sim/FMS/ls_6r")

but_clr2 = findCommand("sim/FMS/key_clear")
but_dir = findCommand("sim/FMS/dir_intc")
but_flpn = findCommand("sim/FMS/fpln")
but_legs = findCommand("sim/FMS/legs")
but_dep_apr = findCommand("sim/FMS/dep_arr")
but_tune = findCommand("sim/FMS/navrad")

but_exec = findCommand("sim/FMS/exec")

but_slash = findCommand("sim/FMS/key_slash")
but_point = findCommand("sim/FMS/key_period")
but_pl_min = findCommand("sim/FMS/key_minus")

but_a = findCommand("sim/FMS/key_A")
but_b = findCommand("sim/FMS/key_B")
but_c = findCommand("sim/FMS/key_C")
but_d = findCommand("sim/FMS/key_D")
but_e = findCommand("sim/FMS/key_E")
but_f = findCommand("sim/FMS/key_F")
but_g = findCommand("sim/FMS/key_G")
but_h = findCommand("sim/FMS/key_H")
but_i = findCommand("sim/FMS/key_I")
but_j = findCommand("sim/FMS/key_J")
but_k = findCommand("sim/FMS/key_K")
but_l = findCommand("sim/FMS/key_L")
but_m = findCommand("sim/FMS/key_M")
but_n = findCommand("sim/FMS/key_N")
but_o = findCommand("sim/FMS/key_O")
but_p = findCommand("sim/FMS/key_P")
but_q = findCommand("sim/FMS/key_Q")
but_r = findCommand("sim/FMS/key_R")
but_s = findCommand("sim/FMS/key_S")
but_t = findCommand("sim/FMS/key_T")
but_u = findCommand("sim/FMS/key_U")
but_v = findCommand("sim/FMS/key_V")
but_w = findCommand("sim/FMS/key_W")
but_x = findCommand("sim/FMS/key_X")
but_y = findCommand("sim/FMS/key_Y")
but_z = findCommand("sim/FMS/key_Z")

but_0 = findCommand("sim/FMS/key_0")
but_1 = findCommand("sim/FMS/key_1")
but_2 = findCommand("sim/FMS/key_2")
but_3 = findCommand("sim/FMS/key_3")
but_4 = findCommand("sim/FMS/key_4")
but_5 = findCommand("sim/FMS/key_5")
but_6 = findCommand("sim/FMS/key_6")
but_7 = findCommand("sim/FMS/key_7")
but_8 = findCommand("sim/FMS/key_8")
but_9 = findCommand("sim/FMS/key_9")

--Components
components = {
	-- button prev
		clickable {
		position = {375, 162, 40, 40 },
		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		commandOnce(but_prev)
		 end
	},
	-- button next
		clickable {
		position = {422, 162, 40, 30 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		commandOnce(but_next)
		 end
	},-- == 2
	-- button clear
			clickable {
		position = {422, 122, 30, 30 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		commandOnce(but_clr2)
		 end
	},



	-- button 1 left
		clickable {
		position = {0, 256, 40, 20 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_left_1)
		 end

	},
		-- button 1 right
			clickable {
		position = {422, 256, 40, 20 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_right_1)
		 end
	},

		-- button 2 left
		clickable {
		position = {0, 290, 40, 20 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_left_2)
		 end
	},

				-- button 2 right
		clickable {
		position = {422, 290, 40, 20 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_right_2)
		 end
	},
			-- button 3 left
		clickable {
		position = {0, 322, 40, 20 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_left_3)
		 end
	},
			-- button 3 right
		clickable {
		position = {422, 322, 40, 20 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_right_3)
		 end
	},


		-- button 4 left
		clickable {
		position = {0, 354, 40, 20 },
		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_left_4)
		 end
	},


		-- button 4 right
		clickable {
		position = {422, 354, 40, 20 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_right_4)
		 end
	},
			-- button 5 left
		clickable {
		position = {0, 387, 40, 20 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_left_5)
		 end
	},
				-- button 5 right
		clickable {
		position = {422, 387, 40, 20 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_right_5)
		 end
	},
			-- button 6 left
		clickable {
		position = {0, 420, 40, 20 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_left_6)
		 end
	},
				-- button 6 right
		clickable {
		position = {422, 420, 40, 20 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_right_6)
		end
	},
		-- button IDX
		clickable {
		position = {0, 105, 40, 40 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_idx)
		 end
	},

		-- button MSG
		clickable {
		position = {0, 200, 40, 40 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 --commandOnce(but_msg)
		 end
	},

		-- button DIR
		clickable {
		position = {0, 155, 40, 40 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_dir)
		 end
	},

		-- button FLPN
		clickable {
		position = {47, 155, 37, 40 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_flpn)
		 end
	},

		-- button LEGS
		clickable {
		position = {95, 155, 37, 40 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_legs)
		 end
	},

		-- button DEP/ARR
		clickable {
		position = {140, 155, 37, 40 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 commandOnce(but_dep_apr)
		 end
	},

		-- button PERF
		clickable {
		position = {185, 155, 37, 40 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 --commandOnce(but_perf)
		 end
	},

		-- button DSPL MENU
		clickable {
		position = {230, 155, 37, 40 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 --commandOnce(but_dspl_menu)
		 end
	},


		-- button MFD ADV
		clickable {
		position = {275, 155, 37, 40 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 --commandOnce(but_mfd_adv)
		 end
	},


	-- button MFD DATA
		clickable {
		position = {320, 155, 37, 40 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
		 --commandOnce(but_mfd_data)
		 end
	},

	-- button TUN
		clickable {
		position = {0, 60, 37, 40 },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_tune)
		 end
	},

		-- button EXEC
		clickable {
		position = {422, 202, 40, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_exec)
		 end
	},

		-- button A
		clickable {
		position = {44, 122, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_a)
		 end
	},
		-- button B
		clickable {
		position = {80, 122, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_b)
		 end
	},
		-- button C
		clickable {
		position = {117, 122, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_c)
		 end
	},
		-- button D
		clickable {
		position = {154, 122, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_d)
		 end
	},
		-- button E
		clickable {
		position = {190, 122, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_e)
		 end
	},
		-- button F
		clickable {
		position = {227, 122, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_f)
		 end
	},
		-- button G
		clickable {
		position = {264, 122, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_g)
		 end
	},
		-- button H
		clickable {
		position = {44, 86, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_h)
		 end
	},
		-- button I
		clickable {
		position = {80, 86, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_i)
		 end
	},
		-- button J
		clickable {
		position = {117, 86, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_j)
		 end
	},
		-- button K
		clickable {
		position = {154, 86, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_k)
		 end
	},
		-- button L
		clickable {
		position = {190, 86, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_l)
		 end
	},
		-- button M
		clickable {
		position = {227, 86, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_m)
		 end
	},
		-- button N
		clickable {
		position = {264, 86, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_n)
		 end
	},
		-- button O
		clickable {
		position = {44, 49, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_o)
		 end
	},
		-- button P
		clickable {
		position = {80, 49, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_p)
		 end
	},
		-- button Q
		clickable {
		position = {117, 49, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_q)
		 end
	},
		-- button R
		clickable {
		position = {154, 49, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_r)
		 end
	},
		-- button S
		clickable {
		position = {190, 49, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_s)
		 end
	},
		-- button T
		clickable {
		position = {227, 49, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_t)
		 end
	},
		-- button U
		clickable {
		position = {264, 49, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_u)
		 end
	},
		-- button V
		clickable {
		position = {44, 13, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_v)
		 end
	},
		-- button W
		clickable {
		position = {80, 13, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_w)
		 end
	},
		-- button X
		clickable {
		position = {117, 13, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_x)
		 end
	},
		-- button Y
		clickable {
		position = {154, 13, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_y)
		 end
	},
		-- button Z
		clickable {
		position = {190, 13, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_z)
		 end
	},
		-- button SP
		clickable {
		position = {227, 13, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_sp)
		 end
	},
		-- button /
		clickable {
		position = {264, 13, 30, 30  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_slash)
		 end
	},
		-- button 1
		clickable {
		position = {305, 125, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_1)
		 end
	},
		-- button 2
		clickable {
		position = {345, 125, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_2)
		 end
	},
		-- button 3
		clickable {
		position = {386, 125, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_3)
		 end
	},
		-- button 4
		clickable {
		position = {305, 86, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_4)
		 end
	},
		-- button 5
		clickable {
		position = {345, 86, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_5)
		 end
	},
		-- button 6
		clickable {
		position = {386, 86, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_6)
		 end
	},
		-- button 7
		clickable {
		position = {305, 46, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_7)
		 end
	},
		-- button 8
		clickable {
		position = {345, 46, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_8)
		 end
	},
		-- button 9
		clickable {
		position = {386, 46, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_9)
		 end
	},
		-- button .
		clickable {
		position = {305, 6, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_point)
		 end
	},
		-- button 0
		clickable {
		position = {345, 6, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_0)
		 end
	},
		-- button +/-
		clickable {
		position = {386, 6, 29, 29  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_pl_min)
		 end
	},
		-- button BRT
		clickable {
		position = {424, 93, 27, 22  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_brt)
		 end
	},
		-- button DIM
		clickable {
		position = {424, 67, 27, 22  },

		cursor = {
			x = 16,
			y = 32,
			width = 32,
			height = 16,
			shape = loadImage("clickable.png")
		},
		 onMouseClick = function()
		 playSample(click, 0)
			commandOnce(but_dim)
		 end
	},

}

function draw()

drawAll(components)

end
